The Puppet Labs Issue Tracker has Moved: https://tickets.puppetlabs.com

Bug #7235

Nim Package Provider for AIX Fails to install Packages. Fix included!

Added by Parker Johnson almost 3 years ago. Updated almost 3 years ago.

Status:DuplicateStart date:04/25/2011
Priority:LowDue date:12/31/2011
Assignee:-% Done:

0%

Category:providerEstimated time:0.50 hour
Target version:-
Affected Puppet version:development Branch:
Keywords:AIX nimclient nim.rb packages

We've Moved!

Ticket tracking is now hosted in JIRA: https://tickets.puppetlabs.com

This issue is currently not available for export. If you are experiencing the issue described below, please file a new ticket in JIRA. Once a new ticket has been created, please add a link to it that points back to this Redmine ticket.


Description

Found a minor bug in puppet/provider/package/nim.rb. Filesets fail to install. After removing the single quotes around the “filesets” argument to nimclient, works fine. I have been talking with James Turnbull about this and he suggested I file a bug. See the diff below.

[root@autobuild-m /]# diff /usr/local/lib/ruby/site_ruby/1.8/puppet/provider/package/nim.rb /usr/local/lib/ruby/site_ruby/1.8/puppet/provider/package/nim.rb.orig

33c33 < nimclient “-o”, “cust”, “-a”, “installp_flags=acgwXY”, “-a”,

“lpp_source=#{source}”, “-a”, “filesets=#{pkg}”

nimclient “-o”, “cust”, “-a”, “installp_flags=acgwXY”, “-a”, “lpp_source=#{source}”, “-a”, “filesets=‘#{pkg}’” [root@autobuild-m /]#

History

#1 Updated by Parker Johnson almost 3 years ago

  • Status changed from Unreviewed to Duplicate
  • Priority changed from Normal to Low

Also available in: Atom PDF